GET V1/Payments.{ext}/Funds?fsID={fsID}&pageIndex={pageIndex}&pageSize={pageSize}
Returns funds along with comments for a particular Funding Statement.
Mandatory Fields : fsID
Optional Fields : pageIndex,pageSize
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| fsID |
Funding Statement ProductId |
integer |
Default value is 0 |
| pageIndex |
Page Index |
integer |
Default value is 0 |
| pageSize |
Page Size |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Payments.Entities.BillPaymentFSAvailabeAmount| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.BillPaymentFSAvailabeAmount |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "BillPaymentFSAvailabeAmount",
"response": {
"fsId": "sample string 1",
"comments": "sample string 2",
"amount": "sample string 3",
"createdUser": "sample string 4",
"createdDate": "sample string 5"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.